Update pixel

PATCH/pixels/{pixelId}

Route to update pixel.

Headers

  • x-api-keystringrequired

    Api key provided on integrations tab in Easyflow platform.

  • x-api-secretstringrequired

    Api Secret provided on integrations tab in Easyflow platform.

Path parameters

  • pixelIdstringrequired

Request body

Content typeapplication/jsonobject

  • namestring
  • descriptionstring
  • statusstring

    Possible values:activeinactive

  • platformstring

    Possible values:googlemetatiktokgtm

  • codestring
  • eventsarray of strings

    Events that the pixel tracks. The list cannot be empty.

    Possible values:checkout-initializedpurchase-completedpurchase-failedpurchase-btn-clickedpix-selectedpix-generatedpix-expiredpix-copiedcredit-card-form-initcredit-card-selectedcredit-card-form-completedbank-slip-selectedbank-slip-form-completedaddress-form-completeddelivery-address-completedcoupon-addedcoupon-box-clickedcoupon-form-initcoupon-form-completedcoupon-apply-faileduser-form-inituser-form-completedpre-checkout-form-initpre-checkout-form-completed

  • metadataobject

    Required when platform is google.

    Show child attributesHide child attributes
    • conversion-labelstring

      Conversion label. Required when platform is google.

  • serverSideMetadataobject

    Server-side settings. Only these keys are accepted. When sent, it replaces the stored object. To keep the stored Conversions API token, send capi-access-token as ********, the masked value returned by Get pixel.

    Show child attributesHide child attributes
    • capi-access-tokenstring

      Access token of the Meta Conversions API.

    • enable-capi-access-tokenboolean

Responses

200returns true if you managed to update the pixel.

returns true if you managed to update the pixel.

Content typeapplication/jsonobject

  • statusCodeinteger

    Example:200

  • dataobject
    Show child attributesHide child attributes
    • updatedboolean
400If the provided parameter is invalid, the API will return the following error response:

If the provided parameter is invalid, the API will return the following error response:

Content typeapplication/jsonobject

  • messagestring

    Invalid param: []

    Example:Invalid param: []

  • errorstring

    Bad Request

    Example:Bad Request

  • statusCodeinteger

    400

    Example:400

  • errorCodestring

    Code that identifies the error. Present only on some errors.

401If the request is unauthorized, the API will return the following error response:

If the request is unauthorized, the API will return the following error response:

Content typeapplication/jsonobject

  • messagestring

    Invalid field

    Example:Unauthorized

  • errorstring

    Unauthorized

    Example:Unauthorized

  • statusCodeinteger

    401

    Example:401

403If the request is forbidden, the API will return the following error response:

If the request is forbidden, the API will return the following error response:

Content typeapplication/jsonobject

  • messagestring

    Forbidden resource

    Example:Forbidden resource

  • errorstring

    Forbidden

    Example:Forbidden

  • statusCodeinteger

    403

    Example:403

500If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.

If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.

Content typeapplication/jsonobject

  • statusCodeinteger

    HTTP status code.

    Example:500

  • messagestring

    Explanation of the error.

    Example:Internal Server Error